/* seekpercentage.m

Written by Ariszlo <ariszlo@gmail.com>

Display elapsed time in percentage

HOW TO USE

1. Add a text tag like this to your xml along with the following script tag:

  <text
    id="SeekPercentage"
    display=""
    x="100" y="100" w="100" h="32" align="center"
    fontsize="32" color="255,255,255"
  />
  <script id="seekpercentage" file="scripts/seekpercentage.maki"/>

2. Copy seekpercentage.maki into your scripts folder. */

#include "lib/std.mi"

Global Text percentTag;
Global Timer songTimer;
Global Int percentNumber;

System.onScriptLoaded() {
  group thisGroup = getScriptGroup();
  percentTag = thisGroup.getObject("SeekPercentage");

  songTimer = new Timer;
  songTimer.setDelay(1000);
}

System.onPlay() {
  songTimer.start();
}

System.onStop() {
  songTimer.stop();
  percentTag.setText("");
}

songTimer.onTimer() {
  if (getPlayItemLength() > 0) {
    percentNumber = (getPosition()*100/getPlayItemLength())+1;
    percentTag.setText(IntegerToString(percentNumber) + " %");
  }
  else percentTag.setText("");
}
